<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>AdminLTE 3 | Contact</title>
    <!-- Google Font: Source Sans Pro -->
      <!-- Google Font: Source Sans Pro -->
      <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
    />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css" />
    <link
      rel="stylesheet"
      href="https://cdn.datatables.net/1.13.5/css/dataTables.bootstrap4.min.css"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
    />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css" />
    <!-- Bootstrap Color Picker -->
    <link
      rel="stylesheet"
      href="plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css"
    />
    <link rel="stylesheet" href="./css/style.css">
    </style>
  </head>
  <body class="hold-transition sidebar-mini" >
    <!-- Site wrapper -->
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"
              ><i class="fas fa-bars"></i
            ></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
          </li>
        </ul>

        <!-- Right navbar links -->
        <ul class="navbar-nav ml-auto">
          <!-- Navbar Search -->
          <li class="nav-item">
            <a
              class="nav-link"
              data-widget="navbar-search"
              href="#"
              role="button"
            >
              <i class="fas fa-search"></i>
            </a>
            <div class="navbar-search-block">
              <form class="form-inline">
                <div class="input-group input-group-sm">
                  <input
                    class="form-control form-control-navbar"
                    type="search"
                    placeholder="Search"
                    aria-label="Search"
                  />
                  <div class="input-group-append">
                    <button class="btn btn-navbar" type="submit">
                      <i class="fas fa-search"></i>
                    </button>
                    <button
                      class="btn btn-navbar"
                      type="button"
                      data-widget="navbar-search"
                    >
                      <i class="fas fa-times"></i>
                    </button>
                  </div>
                </div>
              </form>
            </div>
          </li>

          <!-- Messages Dropdown Menu -->
          <li class="nav-item dropdown">
            <a class="nav-link" data-toggle="dropdown" href="#">
              <i class="far fa-comments"></i>
              <span class="badge badge-danger navbar-badge">3</span>
            </a>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <a href="#" class="dropdown-item">
                <!-- Message Start -->
                <div class="media">
                  <img
                    src="dist/img/user1-128x128.jpg"
                    alt="User Avatar"
                    class="img-size-50 mr-3 img-circle"
                  />
                  <div class="media-body">
                    <h3 class="dropdown-item-title">
                      Brad Diesel
                      <span class="float-right text-sm text-danger"
                        ><i class="fas fa-star"></i
                      ></span>
                    </h3>
                    <p class="text-sm">Call me whenever you can...</p>
                    <p class="text-sm text-muted">
                      <i class="far fa-clock mr-1"></i> 4 Hours Ago
                    </p>
                  </div>
                </div>
                <!-- Message End -->
              </a>
              <div class="dropdown-divider"></div>
              <a href="#" class="dropdown-item">
                <!-- Message Start -->
                <div class="media">
                  <img
                    src="dist/img/user8-128x128.jpg"
                    alt="User Avatar"
                    class="img-size-50 img-circle mr-3"
                  />
                  <div class="media-body">
                    <h3 class="dropdown-item-title">
                      John Pierce
                      <span class="float-right text-sm text-muted"
                        ><i class="fas fa-star"></i
                      ></span>
                    </h3>
                    <p class="text-sm">I got your message bro</p>
                    <p class="text-sm text-muted">
                      <i class="far fa-clock mr-1"></i> 4 Hours Ago
                    </p>
                  </div>
                </div>
                <!-- Message End -->
              </a>
              <div class="dropdown-divider"></div>
              <a href="#" class="dropdown-item">
                <!-- Message Start -->
                <div class="media">
                  <img
                    src="dist/img/user3-128x128.jpg"
                    alt="User Avatar"
                    class="img-size-50 img-circle mr-3"
                  />
                  <div class="media-body">
                    <h3 class="dropdown-item-title">
                      Nora Silvester
                      <span class="float-right text-sm text-warning"
                        ><i class="fas fa-star"></i
                      ></span>
                    </h3>
                    <p class="text-sm">The subject goes here</p>
                    <p class="text-sm text-muted">
                      <i class="far fa-clock mr-1"></i> 4 Hours Ago
                    </p>
                  </div>
                </div>
                <!-- Message End -->
              </a>
              <div class="dropdown-divider"></div>
              <a href="#" class="dropdown-item dropdown-footer"
                >See All Messages</a
              >
            </div>
          </li>
          <!-- Notifications Dropdown Menu -->
          <li class="nav-item dropdown">
            <a class="nav-link" data-toggle="dropdown" href="#">
              <i class="far fa-bell"></i>
              <span class="badge badge-warning navbar-badge">15</span>
            </a>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <span class="dropdown-item dropdown-header"
                >15 Notifications</span
              >
              <div class="dropdown-divider"></div>
              <a href="#" class="dropdown-item">
                <i class="fas fa-envelope mr-2"></i> 4 new messages
                <span class="float-right text-muted text-sm">3 mins</span>
              </a>
              <div class="dropdown-divider"></div>
              <a href="#" class="dropdown-item">
                <i class="fas fa-users mr-2"></i> 8 friend requests
                <span class="float-right text-muted text-sm">12 hours</span>
              </a>
              <div class="dropdown-divider"></div>
              <a href="#" class="dropdown-item">
                <i class="fas fa-file mr-2"></i> 3 new reports
                <span class="float-right text-muted text-sm">2 days</span>
              </a>
              <div class="dropdown-divider"></div>
              <a href="#" class="dropdown-item dropdown-footer"
                >See All Notifications</a
              >
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" data-widget="fullscreen" href="#" role="button">
              <i class="fas fa-expand-arrows-alt"></i>
            </a>
          </li>
          <li class="nav-item">
            <a
              class="nav-link"
              data-widget="control-sidebar"
              data-slide="true"
              href="#"
              role="button"
            >
              <i class="fas fa-th-large"></i>
            </a>
          </li>
        </ul>
      </nav>
      <!-- /.navbar -->

      <!-- Main Sidebar Container -->
      <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="index3.html" class="brand-link">
          <img
            src="dist/img/AdminLTELogo.png"
            alt="AdminLTE Logo"
            class="brand-image img-circle elevation-3"
            style="opacity: 0.8"
          />
          <span class="brand-text font-weight-light">Devcamp</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user (optional) -->
          <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
              <img
                src="dist/img/user2-160x160.jpg"
                class="img-circle elevation-2"
                alt="User Image"
              />
            </div>
            <div class="info">
              <a href="#" class="d-block">Quoc Bao</a>
            </div>
          </div>

          <!-- SidebarSearch Form -->
          <div class="form-inline">
            <div class="input-group" data-widget="sidebar-search">
              <input
                class="form-control form-control-sidebar"
                type="search"
                placeholder="Search"
                aria-label="Search"
              />
              <div class="input-group-append">
                <button class="btn btn-sidebar">
                  <i class="fas fa-search fa-fw"></i>
                </button>
              </div>
            </div>
          </div>

          <!-- Sidebar Menu -->
          <nav class="mt-2">
            <ul
              class="nav nav-pills nav-sidebar flex-column"
              data-widget="treeview"
              role="menu"
              data-accordion="false"
            >
              <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
              <li class="nav-item menu-open">
                <a href="#" class="nav-link">
                  <i class="nav-icon fas fa-tachometer-alt"></i>
                  <p>
                    Menu
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="contact.html" class="nav-link active">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Contact</p>
                    </a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6">
                <h1>Contact</h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="#">Home</a></li>
                  <li class="breadcrumb-item active">Contact</li>
                </ol>
              </div>
            </div>
          </div>
          <!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
      <!-- Vùng header -->
      <div class="container">
        <div class="text-center">
          <h2 class="mt-2">Danh Sách PET</h2>
        </div>
        <div class="form-group">
          <button class="btn btn-success" id="btn-create-contact-user">
            <i class="fa fa-plus"></i>&nbsp; Thêm pet
          </button>
        </div>
      </div>
      <!-- Register User Table -->
      <div class="container">
        <table
          class="table table-bordered table-striped table-hover"
          id="pet-table"
        >
          <thead>
            <tr>
              <th class="text-center">id</th>
              <th class="text-center">Loại</th>
              <th class="text-center">Tên</th>
              <th class="text-center">description</th>
              <th class="text-center">imageUrl</th>
              <th class="text-center">price</th>
              <th class="text-center">promotionPrice</th>
              <th class="text-center">discount</th>
              <th class="text-center">createdAt</th>
              <th class="text-center">updatedAt</th>
              <th class="col-2 text-center">Action</th>
            </tr>
          </thead>
        </table>
      </div>
      <!-- Vùng Modal -->
     <!-- Create product modal -->
  <div id="create-product-modal-background" class="modal-background">
    <div id="create-product-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content create-and-update-modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h4-modal-title">Thêm Mới PET</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row col-lg-12">
                <div id="create-image" class="col-lg-6">
                  <div class="row">
                    <img id="create-upload-image" src="images/No_Image_Available.jpg" class="col-lg-12 img-fluid" alt="Hình ảnh sản phẩm">
                    <div class="custom-create-update-file col-lg-12">
                      <label class="btn btn-primary mt-2" for="file-create-upload">Tải ảnh lên</label>
                      <input type="file" id="file-create-upload">
                    </div>
                    <div class="col-lg-12 d-flex flex-column h-100">
                      <div class="row form-group text-and-textarea-content">
                        <div class="col-lg-12 text-center">
                          <label for="textarea-create-description" class="font-weight-bold h5 mt-5">Mô tả sản phẩm</label>
                        </div>
                        <div class="col-lg-12">
                          <textarea name="textarea-description" id="textarea-create-description"
                            class="form-group d-flex align-items-start" cols="40" rows="5"
                            placeholder="Nhập mô tả ..."></textarea>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6 pt-3 left-product-info">
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="input-create-pet-type">Loại</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-create-pet-type" name="create-product-code"
                        placeholder="Product Code ..." class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="input-create-product-name">Name</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-create-pet-name" name="create-product-name"
                        placeholder="Product Name ..." class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="input-create-price">Price</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-create-price" name="create-price" placeholder="0.0"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="input-create-discount-price">Promotion Price</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-create-promotion-price" name="create-promotiondiscount-price" placeholder="0.0"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="input-create-discount-price">Discount </label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-create-discount-price" name="create-discount-price" placeholder="0.0"
                        class="form-control">
                    </div>
                  </div>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" id="btn-create-cancel" data-dismiss="modal">Hủy Bỏ</button>
            <button class="btn btn-primary" id="btn-create-product">Thêm Mới</button>
          </div>
        </div>
      </div>
    </div>
  </div>
          <!-- Update product modal -->
          <div id="update-product-modal-background" class="modal-background">
            <div id="update-product-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content create-and-update-modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h4-modal-title">
                      Thông Tin Chi Tiết
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form>
                      <div class="row col-lg-12">
                        <div id="update-image" class="col-lg-6">
                          <img
                            id="update-upload-image"
                            src=""
                            class="col-lg-12 img-fluid"
                            alt="Hình ảnh sản phẩm"
                          />
                          <div class="custom-create-update-file col-lg-12">
                            <label
                              class="btn btn-primary mt-2"
                              for="file-update-upload"
                              >Tải ảnh lên</label>
                            <input type="file" id="file-update-upload" />
                          </div>
                          <div class="col-lg-12">
                            <div class="row form-group">
                              <div class="col-lg-12 text-center">
                                <label
                                  for="textarea-update-description"
                                  class="font-weight-bold h5 mt-5"
                                  >Mô tả sản phẩm</label
                                >
                              </div>
                              <div class="col-lg-12">
                                <textarea
                                  name="textarea-description"
                                  id="textarea-update-description"
                                  class="form-group d-flex align-items-start"
                                  cols="40"
                                  rows="5"
                                  placeholder="Nhập mô tả ..."
                                ></textarea>
                              </div>
                            </div>
                          </div>
                        </div>
                        <div class="col-lg-6 pt-3">
                          <div class="row form-group">
                            <div class="col-lg-5 update-label">
                              <label for="input-update-pet-type"
                                >Type</label
                              >
                            </div>
                            <div class="col-lg-7">
                              <input
                                type="text"
                                id="input-update-pet-type"
                                name="update-product-code"
                                placeholder="Product Code ..."
                                class="form-control"
                              />
                            </div>
                          </div>
                          <div class="row form-group">
                            <div class="col-lg-5 update-label">
                              <label for="input-update-pet-name"
                                > Name</label
                              >
                            </div>
                            <div class="col-lg-7">
                              <input
                                type="text"
                                id="input-update-pet-name"
                                name="update-product-name"
                                placeholder="Product Name ..."
                                class="form-control"
                              />
                            </div>
                          </div>
                          <div class="row form-group">
                            <div class="col-lg-5 update-label">
                              <label for="input-update-price">Price</label>
                            </div>
                            <div class="col-lg-7">
                              <input
                                type="text"
                                id="input-update-price"
                                name="update-price"
                                placeholder="0.0"
                                class="form-control"
                              />
                            </div>
                          </div>
                          <div class="row form-group">
                            <div class="col-lg-5 update-label">
                              <label for="input-update-discount-price"
                                >Discount </label
                              >
                            </div>
                            <div class="col-lg-7">
                              <input
                                type="text"
                                id="input-update-discount-price"
                                name="update-discount-price"
                                placeholder="0.0"
                                class="form-control"
                              />
                            </div>
                          </div>
                          <div class="row form-group">
                            <div class="col-lg-5 update-label">
                              <label for="input-update-promotion-price"
                                >promotion Price</label
                              >
                            </div>
                            <div class="col-lg-7">
                              <input
                                type="text"
                                id="input-update-promotion-price"
                                name="update-discount-price"
                                placeholder="0.0"
                                class="form-control"
                              />
                            </div>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                    <button
                      class="btn btn-danger"
                      id="btn-update-cancel"
                      data-dismiss="modal"
                    >
                      Hủy Bỏ
                    </button>
                    <button class="btn btn-primary" id="btn-update-product">
                      Cập Nhật
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- Delete product modal -->
          <!-- Delete Register User modal -->
          <div id="delete-product-modal-background" class="modal-background">
            <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Confirm xóa sản phẩm
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <div id="current-image" class="col-lg-6">
                      <img
                        src=""
                        class="col-lg-12 img-fluid"
                        alt="Hình ảnh sản phẩm"
                      />
                      <div class="col-lg-12">
                        <div class="row form-group">
                          <div class="col-lg-12 text-center">
                            <p
                              id="current-product-name"
                              class="font-weight-bold mt-5"
                            ></p>
                          </div>
                        </div>
                      </div>
                    </div>
                    <label class="d-flex justify-content-center font-italic"
                      >Bạn có chắc chắn muốn xóa sản phẩm này không?</label
                    >
                  </div>
                  <div class="modal-footer">
                    <button
                      class="btn btn-danger"
                      id="btn-confirm-delete-product"
                    >
                      Xác nhận
                    </button>
                    <button class="btn btn-light" data-dismiss="modal">
                      Hủy bỏ
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- /.content -->
      </div>
      <!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="float-right d-none d-sm-block"><b>Version</b> 3.2.0</div>
        <strong
          >Copyright &copy; 2014-2021
          <a href="https://adminlte.io">AdminLTE.io</a>.</strong
        >
        All rights reserved.
      </footer>

      <!-- Control Sidebar -->
      <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
      </aside>
      <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <!-- date-range-picker -->
    <script src="plugins/moment/moment.min.js"></script>
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- bootstrap color picker -->
    <script src="plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <!-- Data Table-->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.5/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.5/js/dataTables.bootstrap4.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="https://www.gstatic.com/firebasejs/6.0.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/6.0.2/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/6.0.2/firebase-storage.js"></script>
    <script src="https://www.gstatic.com/firebasejs/6.0.2/firebase-database.js"></script>
    <!-- Data Table-->
    <script src="./js/script-pet.js"></script>

  </body>
</html>
